Bug 473228 - plymouth called even if not installed
plymouth called even if not installed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 03:52 EST by Patrice Dumas
Modified: 2014-03-16 23:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 10:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-11-27 03:52:42 EST
Description of problem:

plymouth is called in /etc/X11/prefdm even if it is not present. 
I guess that it also should not be called if there is no 'rhgb' on the command line (or use another way to detect whether it was used or not).

(It is possible that it messed my keyboard config in X, but I am not sure, in any case it is not relevant here).


Version-Release number of selected component (if applicable):

initscripts-8.86-1.i386

How reproducible:

always.
yum remove plymouth
boot in runlevel 5

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-11-28 13:17:54 EST
There is nothing to triage here (although I have some thoughts about this bug :)).

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 2 Bill Nottingham 2008-12-01 10:56:27 EST
If you removed plymouth, you have also then removed mkinitrd, and probably broken your system in a variety of ways.

plymouth isn't optional.
Comment 3 Patrice Dumas 2008-12-01 12:05:11 EST
My system doesn't seem to be more broken than usuall. Indeed I had to remove mkinitrd, which is admitedly adventurous. But I really wanted to get rid of plymouth to check if it was the culprit for a bug (though I don't remember at all the details). 

In the init scripts, there are checks for plymouth and plymouth isn't called if not there. Looks sane to me and not complicated. Couldn't the same been done in the initrd?

And then it would be nice not to have a hard dependency of mkinitrd on plymouth, but rather have mkinitrd use it if present. there are already switches in mkinitrd to avoid bundling too much modules, maybe a --omit-plymouth would be nice, and it would be the default in case plymouth files are missing.
Comment 4 Bill Nottingham 2008-12-01 12:10:15 EST
(In reply to comment #3)
> In the init scripts, there are checks for plymouth and plymouth isn't called if
> not there. Looks sane to me and not complicated. Couldn't the same been done in
> the initrd?

Probably simpler to just add the hard requires.

> And then it would be nice not to have a hard dependency of mkinitrd on
> plymouth, but rather have mkinitrd use it if present. there are already
> switches in mkinitrd to avoid bundling too much modules, maybe a
> --omit-plymouth would be nice, and it would be the default in case plymouth
> files are missing.

It is NOT OPTIONAL. This has already been discussed many times on the lists.

Note You need to log in before you can comment on or make changes to this bug.